comment: "This flow will create the bootstrapCustom.json file"
flow:
    -   name: "SelectCss"
        comment: "Selection of the custom CSS files"
        op: "select"
        args:
            data-selector: "**/bootstrap.*.min.css@sd"
    -   name: "List"
        op: "list"
        args:
            attributes:
                - parent
                - logicalName
                - name
                - sha384_integrity
    -   name: "Print"
        op: "print"
    -   name: "Json"
        op: "template"
        args:
            template-inline:
                type: json
                content: |
                    {
                        "${parent}": {
                            "${logicalName}": {
                                "file" : "${name}",
                                "url" : "https://cdn.jsdelivr.net/npm/bootswatch@${parent}/dist/!!!!toImproveNameOfTheTheme!!!!/bootstrap.min.css",
                                "integrity" : "${sha384_integrity}"
                            }
                        }
                    }
    -   name: "Transfer"
        op: "transfer"
        args:
            transfer-operation: "copy"
            target-uri: "bootstrapCustom.json@sd"
            target-operation: "replace"
